Skip to main content
POST
Void

Authorizations

x-revolv3-token
string
header
required

Headers

Client-Request-Id
string

Optional identifier generated by the client to match its own logs with this request.

Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.

Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.

A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support. An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._:-]{1,128}$

Path Parameters

invoiceId
integer<int64>
required

The unique identifier for the invoice

Query Parameters

includeRawProcessorResponse
boolean

Body

reportGroup
string | null

Report Groups could be used to separate your transactions into different categories, so you can view the financial reports by your specific report group names (Worldpay only).

Response

OK

invoice
object
rawResponse
string | null